Display warning when flagging VCS packages
[aur.git] / .travis.yml
blob5bbfda1f6d543364e198a5cc695afa103ceacfd8
1 language: python
3 python: 3.6
5 addons:
6     apt:
7         packages:
8         - bsdtar
9         - libarchive-dev
10         - libgpgme11-dev
11         - libprotobuf-dev
13 install:
14     - curl https://codeload.github.com/libgit2/libgit2/tar.gz/v0.26.0 | tar -xz
15     - curl https://sources.archlinux.org/other/pacman/pacman-5.0.2.tar.gz | tar -xz
16     - curl https://git.archlinux.org/pyalpm.git/snapshot/pyalpm-0.8.1.tar.gz | tar -xz
17     - ( cd libgit2-0.26.0 && cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr && make && sudo make install )
18     - ( cd pacman-5.0.2 && ./configure --prefix=/usr && make && sudo make install )
19     - ( cd pyalpm-0.8.1 && python setup.py build && python setup.py install )
20     - pip install mysql-connector-python-rf pygit2==0.26 srcinfo
21     - pip install bleach Markdown
23 script: make -C test